Bug 179584 - graphics/xtexcad: Fix build on -current
Summary: graphics/xtexcad: Fix build on -current
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-15 19:10 UTC by tkato432
Modified: 2013-06-27 08:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.86 KB, patch)
2013-06-15 19:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-06-15 19:10:01 UTC
- Fix build on -current
- Support PLIST_FILES

New file:
files/patch-FileNom.c
files/patch-match.c
files/patch-oberfl.c
files/patch-yyscan.l

Remove file:
pkg-plist
Comment 1 Edwin Groothuis freebsd_committer 2013-06-15 19:10:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-06-17 15:52:39 UTC
State Changed
From-To: open->feedback

Ask for maintainer approval.
Comment 3 Martin Wilke freebsd_committer 2013-06-17 15:53:16 UTC
State Changed
From-To: feedback->open

ups
Comment 4 Martin Wilke freebsd_committer 2013-06-17 15:53:36 UTC
State Changed
From-To: open->feedback

build fails on head 
http://po.miwibox.org:1288/bulk/latest-per-pkg/xtexcad/2.4.1_2/
Comment 5 tkato432 2013-06-17 18:55:08 UTC
It appears that those logs are results of building this port
without applying the patch.
Comment 6 Martin Wilke freebsd_committer 2013-06-27 07:57:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2013-06-27 07:57:43 UTC
Author: miwi
Date: Thu Jun 27 06:57:29 2013
New Revision: 321854
URL: http://svnweb.freebsd.org/changeset/ports/321854

Log:
  - Unbreak build on current
  
  PR:		179584
  Submitted by:	Ports Fury

Added:
  head/graphics/xtexcad/files/
  head/graphics/xtexcad/files/patch-FileNom.c   (contents, props changed)
  head/graphics/xtexcad/files/patch-match.c   (contents, props changed)
  head/graphics/xtexcad/files/patch-oberfl.c   (contents, props changed)
  head/graphics/xtexcad/files/patch-yyscan.l   (contents, props changed)
Deleted:
  head/graphics/xtexcad/pkg-plist
Modified:
  head/graphics/xtexcad/Makefile   (contents, props changed)

Modified: head/graphics/xtexcad/Makefile
==============================================================================
--- head/graphics/xtexcad/Makefile	Thu Jun 27 06:48:43 2013	(r321853)
+++ head/graphics/xtexcad/Makefile	Thu Jun 27 06:57:29 2013	(r321854)
@@ -1,24 +1,19 @@
-# ex:ts=8
-# Ports collection makefile for:	xtexcad
-# Date created:			May 20, 2003
-# Whom:				ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	xtexcad
 PORTVERSION=	2.4.1
 PORTREVISION=	2
 CATEGORIES=	graphics
-MASTER_SITES=	${MASTER_SITE_TEX_CTAN}
-MASTER_SITE_SUBDIR=	graphics/xtexcad
+MASTER_SITES=	TEX_CTAN/graphics/xtexcad
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Simple drawing program enforcing limited slopes and diameters
 
-USE_IMAKE=	yes
 USE_XORG=	ice sm x11 xaw xext xmu xpm xt
+USE_IMAKE=	yes
 
-MAN1=	xtexcad.1
+MAN1=		xtexcad.1
+PLIST_FILES=	bin/xtexcad lib/X11/app-defaults/XTeXcad
 
 .include <bsd.port.mk>

Added: head/graphics/xtexcad/files/patch-FileNom.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/xtexcad/files/patch-FileNom.c	Thu Jun 27 06:57:29 2013	(r321854)
@@ -0,0 +1,30 @@
+--- FileNom.c.orig
++++ FileNom.c
+@@ -377,6 +377,13 @@ ClassInitialize()
+     CLASS(selectTranslations) = XtParseTranslationTable(selectTranslations);
+ }
+ 
++#if defined(SYSV) || defined(__linux__) || defined(__FreeBSD__)
++    extern char *getcwd();
++#define getwd(buf) getcwd(buf,MAXPATHLEN)
++#else
++    extern char *getwd();
++#endif
++
+ /* ARGSUSED */
+ static void
+ Initialize(req, new, args, num_args)
+@@ -391,13 +398,6 @@ Initialize(req, new, args, num_args)
+     String dir, menuList, p, q;
+     Dimension width, height;
+ 
+-#ifdef SYSV
+-    extern char *getcwd();
+-#define getwd(buf) getcwd(buf,MAXPATHLEN)
+-#else
+-    extern char *getwd();
+-#endif
+-
+     List(new) = NULL;
+     Nomination(new).directoryPart = NULL;
+     Nomination(new).filenamePart = NULL;

Added: head/graphics/xtexcad/files/patch-match.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/xtexcad/files/patch-match.c	Thu Jun 27 06:57:29 2013	(r321854)
@@ -0,0 +1,11 @@
+--- match.c.orig
++++ match.c
+@@ -34,6 +34,8 @@
+  *    "awf" copyright notice.]
+  */
+ 
++#include <string.h>
++
+ /* match.c: pattern matching routines */
+ 
+ 

Added: head/graphics/xtexcad/files/patch-oberfl.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/xtexcad/files/patch-oberfl.c	Thu Jun 27 06:57:29 2013	(r321854)
@@ -0,0 +1,11 @@
+--- oberfl.c.orig
++++ oberfl.c
+@@ -161,7 +161,7 @@
+ static void SetTitle(void);
+ static void SetNewZoom(void);
+ 
+-void main(int argc, char *argv[])
++int main(int argc, char *argv[])
+ {
+ 	Widget topForm;
+ 	Pixel background;

Added: head/graphics/xtexcad/files/patch-yyscan.l
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/xtexcad/files/patch-yyscan.l	Thu Jun 27 06:57:29 2013	(r321854)
@@ -0,0 +1,21 @@
+--- yyscan.l.orig
++++ yyscan.l
+@@ -35,8 +35,6 @@
+ #include "objects.h"
+ #include "yyscan.h"
+ 
+-#define yywrap() 1
+-
+ float yyfloatval;		/* value of a TOK_FLOAT */
+ char yystrval[MAX_TEXT_LEN+1];	/* text of a text argument or align argument */
+ Unit yyunit;			/* value of a TOK_UNIT */
+@@ -66,6 +64,9 @@
+ 
+ %}
+ 
++%option nounput
++%option noyywrap
++%option noyymore
+ 
+ %s  inPictEnv  inPut  lookOut
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"